Package groovy.util

## Class MapEntry

- java.lang.Object
- - groovy.util.MapEntry

- All Implemented Interfaces:
    `java.util.Map.Entry`

      public class MapEntry
      extends java.lang.Object
      implements java.util.Map.Entry

  A Map.Entry implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapEntry​(java.lang.Object key, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(MapEntry that)` |
    `boolean` | `equals​(java.lang.Object that)` |
    `java.lang.Object` | `getKey()` |
    `java.lang.Object` | `getValue()` |
    `protected int` | `hash​(java.lang.Object object)` | Helper method to handle object hashes for possibly null values
    `int` | `hashCode()` |
    `void` | `setKey​(java.lang.Object key)` |
    `java.lang.Object` | `setValue​(java.lang.Object value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEntry

          public MapEntry​(java.lang.Object key,
                          java.lang.Object value)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object that)

      Specified by:
        `equals` in interface `java.util.Map.Entry`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals​(MapEntry that)

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getKey

          public java.lang.Object getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry`

    - #### setKey

          public void setKey​(java.lang.Object key)

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry`

    - #### setValue

          public java.lang.Object setValue​(java.lang.Object value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry`

    - #### hash

          protected int hash​(java.lang.Object object)

      Helper method to handle object hashes for possibly null values